/* $Id: nocrt-per-thread-1.cpp 96052 2022-08-05 10:48:48Z vboxsync $ */
/** @file
 * IPRT - No-Crt - Per Thread Data, TLS index.
 */

/*
 * Copyright (C) 2006-2022 Oracle Corporation
 *
 * This file is part of VirtualBox Open Source Edition (OSE), as
 * available from http://www.virtualbox.org. This file is free software;
 * you can redistribute it and/or modify it under the terms of the GNU
 * General Public License (GPL) as published by the Free Software
 * Foundation, in version 2 as it comes in the "COPYING" file of the
 * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
 * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
 *
 * The contents of this file may alternatively be used under the terms
 * of the Common Development and Distribution License Version 1.0
 * (CDDL) only, as it comes in the "COPYING.CDDL" file of the
 * VirtualBox OSE distribution, in which case the provisions of the
 * CDDL are applicable instead of those of the GPL.
 *
 * You may elect to license modified versions of this file under the
 * terms and conditions of either the GPL or the CDDL or both.
 */


/*********************************************************************************************************************************
*   Defined Constants And Macros                                                                                                 *
*********************************************************************************************************************************/
#include "internal/nocrt.h"


/*********************************************************************************************************************************
*   Global Variables                                                                                                             *
*********************************************************************************************************************************/
/** The TLS index for the no-CRT per thread data.  */
RTTLS volatile      g_iTlsRtNoCrtPerThread = NIL_RTTLS;

/** The TLS entry of an IPRT thread points to this during the cleanup (paranoia). */
RTNOCRTTHREADDATA   g_RtNoCrtPerThreadDummy =
{
    { NULL, NULL },
    RTNOCRTTHREADDATA::kAllocType_CleanupDummy,
    0,
    NULL
};

